summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-office')
-rw-r--r--app-office/hibiscus/Manifest5
-rw-r--r--app-office/hibiscus/files/1.12.2-hbci4java-api.patch33
-rw-r--r--app-office/hibiscus/files/1.12.2-hbci4java-so-filename.patch38
-rw-r--r--app-office/hibiscus/files/2.2.1-hbci4java-so-filename.patch38
-rw-r--r--app-office/hibiscus/hibiscus-2.2.1.ebuild72
5 files changed, 186 insertions, 0 deletions
diff --git a/app-office/hibiscus/Manifest b/app-office/hibiscus/Manifest
new file mode 100644
index 0000000..9161a23
--- /dev/null
+++ b/app-office/hibiscus/Manifest
@@ -0,0 +1,5 @@
+AUX 1.12.2-hbci4java-api.patch 1681 SHA256 48f4efd5622e10e65ff8c06c39c44357123dfc128c8e0ef4f9b7d8f2b62d5b55 SHA512 81ccf84af1af781464c83b6c0be44c4c610a25776c2785b21c1cf2da7ee638eb01919942700efec9ec1f553408101d8747c3c025e805782d4f5ae67fb1065244 WHIRLPOOL 43acab4cae551262dc6b6681b4e2727a1c248c226ad5fa5a65a47b0873b91fcfa2d867890291242c42ba6547cbd3f2bc030c6ab807e60c41eb786fcac86d09e5
+AUX 1.12.2-hbci4java-so-filename.patch 1699 SHA256 cfacad8432d216bb861f63970a51f4eb038e659797cf4b4f3d9c816835dc4677 SHA512 1bfe4880d6ea76c1b14b4abfb72115d44645832552bbcf0eb89c7d0bfa6a6ef3dbf98e8d545590951606d10b2abff0c80df93d34e1200ab3de6e6d0873a787fa WHIRLPOOL f1dc7b67d5fd4eb3807298bc5b6705a2a87dfed2fd687437b6b6b50519f22cda8af939d658174498cf10a7f03717a8a66e036a35292742cfa52b78e2d692a9da
+AUX 2.2.1-hbci4java-so-filename.patch 1697 SHA256 22df5c01119aa6a6b818557090e08f0295970ab64d97374953f0c84f70445938 SHA512 367b112f08c95e1029b9f09fd902fff6af0790579554ac63df78ef56b8ba1311d544b522bd4b13b2d4fbeece241f57d8192364d7f72f3261bf1a5cc240d252f2 WHIRLPOOL d34d3328acbdf676f097485d10753f40d0a4df4044cc1cf80efbe777efd6cd4db9f06bf6b41208d3f7073346ec826001413ed7c973277f5025f37f9f70457ec9
+DIST hibiscus-2.2.1.zip 5245507 SHA256 d026229bb24b4502b42da193538c0fc35f07d05bce1e9469cf25bb248e4b3495 SHA512 a18ad22859de1ac8faf9b5e286f82f2dd3cbf445460055313440c88471b10e32e0a59b20b824ae1f1817b4a3366c2dba9087be4798dcac0fdc7df02615a9a479 WHIRLPOOL 4dae30ee699d2cda33cf194fa7750e6a68a8d1c1c5938415d1f1fd05306d03598aec729f9e89c4c045923d153a8d6f24d547c6ceb2f6c2ecfdb321c769cd53b2
+EBUILD hibiscus-2.2.1.ebuild 2445 SHA256 9a388dee18ee61e8bcb28281de8b741fca433509f29c778b5c8193315cc31cb8 SHA512 b8d96be8ddb7e196357931c0022e3f544574ec76942144f2a2347b06143699dc8b4faae787a77b2e15a999e278a8103092ec558cbb7ae377f1d540b647049cce WHIRLPOOL dd308bc0976123b521caf5408a45f31ee9cb4412ac3318bd6d97a78fc4d684cb408977412dbf8103952bc14da2ab0c3791812eb5ce3b9bead1a73bf5c5695503
diff --git a/app-office/hibiscus/files/1.12.2-hbci4java-api.patch b/app-office/hibiscus/files/1.12.2-hbci4java-api.patch
new file mode 100644
index 0000000..c6f7096
--- /dev/null
+++ b/app-office/hibiscus/files/1.12.2-hbci4java-api.patch
@@ -0,0 +1,33 @@
+Index: hibiscus/src/de/willuhn/jameica/hbci/io/MT940UmsatzImporter.java
+===================================================================
+--- hibiscus.orig/src/de/willuhn/jameica/hbci/io/MT940UmsatzImporter.java
++++ hibiscus/src/de/willuhn/jameica/hbci/io/MT940UmsatzImporter.java
+@@ -246,11 +246,13 @@ public class MT940UmsatzImporter impleme
+ public boolean onlyBPDGVs() {return false;}
+ public boolean needUserKeys() {return false;}
+ public boolean needInstKeys() {return false;}
++ public boolean needDigKey() {return false;}
+ public boolean isSupported() {return false;}
+ public boolean hasMySigKey() {return false;}
+ public boolean hasMyEncKey() {return false;}
+ public boolean hasInstSigKey() {return false;}
+ public boolean hasInstEncKey() {return false;}
++ public boolean hasInstDigKey() {return false;}
+ public String getUserId() {return null;}
+ public String getUPDVersion() {return null;}
+ public Properties getUPD() {return null;}
+@@ -288,6 +290,7 @@ public class MT940UmsatzImporter impleme
+ public void clearUPD() {}
+ public void clearInstSigKey() {}
+ public void clearInstEncKey() {}
++ public void clearInstDigKey() {}
+ public void clearBPD(){}
+ public void changePassphrase(){}
+ };
+@@ -356,4 +359,4 @@ public class MT940UmsatzImporter impleme
+ * Revision 1.1 2006/01/17 00:22:36 willuhn
+ * @N erster Code fuer Swift MT940-Import
+ *
+- ******************************************************************************/
+\ No newline at end of file
++ ******************************************************************************/
diff --git a/app-office/hibiscus/files/1.12.2-hbci4java-so-filename.patch b/app-office/hibiscus/files/1.12.2-hbci4java-so-filename.patch
new file mode 100644
index 0000000..b46a2fc
--- /dev/null
+++ b/app-office/hibiscus/files/1.12.2-hbci4java-so-filename.patch
@@ -0,0 +1,38 @@
+Index: hibiscus/src/de/willuhn/jameica/hbci/passports/ddv/DDVConfigFactory.java
+===================================================================
+--- hibiscus.orig/src/de/willuhn/jameica/hbci/passports/ddv/DDVConfigFactory.java
++++ hibiscus/src/de/willuhn/jameica/hbci/passports/ddv/DDVConfigFactory.java
+@@ -447,9 +447,9 @@ public class DDVConfigFactory
+ */
+ private static File getJNILib() throws ApplicationException
+ {
+- String file = null;
++ String file = "libhbci4java-card-linux.so";
+
+- switch (Application.getPlatform().getOS())
++ /*switch (Application.getPlatform().getOS())
+ {
+ case Platform.OS_LINUX:
+ file = "libhbci4java-card-linux-32.so";
+@@ -474,12 +474,12 @@ public class DDVConfigFactory
+ case Platform.OS_FREEBSD_64:
+ file = "libhbci4java-card-freebsd-64.so";
+ break;
+- }
++ }*/
+
+ if (file == null)
+ throw new ApplicationException(i18n.tr("Hibiscus unterstützt leider keine Chipkartenleser für Ihr Betriebssystem"));
+
+- File f = new File(de.willuhn.jameica.hbci.Settings.getLibPath(),file);
++ File f = new File("/usr/lib",file);
+ if (!f.exists())
+ throw new ApplicationException(i18n.tr("Treiber {0} nicht gefunden",f.getAbsolutePath()));
+
+@@ -508,4 +508,4 @@ public class DDVConfigFactory
+ * Revision 1.1 2010-09-07 15:28:05 willuhn
+ * @N BUGZILLA 391 - Kartenleser-Konfiguration komplett umgebaut. Damit lassen sich jetzt beliebig viele Kartenleser und Konfigurationen parellel einrichten
+ *
+- **********************************************************************/
+\ No newline at end of file
++ **********************************************************************/
diff --git a/app-office/hibiscus/files/2.2.1-hbci4java-so-filename.patch b/app-office/hibiscus/files/2.2.1-hbci4java-so-filename.patch
new file mode 100644
index 0000000..8168548
--- /dev/null
+++ b/app-office/hibiscus/files/2.2.1-hbci4java-so-filename.patch
@@ -0,0 +1,38 @@
+Index: hibiscus/src/de/willuhn/jameica/hbci/passports/ddv/DDVConfigFactory.java
+===================================================================
+--- hibiscus.orig/src/de/willuhn/jameica/hbci/passports/ddv/DDVConfigFactory.java
++++ hibiscus/src/de/willuhn/jameica/hbci/passports/ddv/DDVConfigFactory.java
+@@ -530,9 +530,9 @@ public class DDVConfigFactory
+ */
+ private static File getJNILib() throws ApplicationException
+ {
+- String file = null;
++ String file = "libhbci4java-card-linux.so";
+
+- switch (Application.getPlatform().getOS())
++ /*switch (Application.getPlatform().getOS())
+ {
+ case Platform.OS_LINUX:
+ file = "libhbci4java-card-linux-32.so";
+@@ -561,12 +561,12 @@ public class DDVConfigFactory
+ case Platform.OS_FREEBSD_64:
+ file = "libhbci4java-card-freebsd-64.so";
+ break;
+- }
++ }*/
+
+ if (file == null)
+ throw new ApplicationException(i18n.tr("Hibiscus untersttzt leider keine Chipkartenleser fr Ihr Betriebssystem"));
+
+- File f = new File(de.willuhn.jameica.hbci.Settings.getLibPath(),file);
++ File f = new File("/usr/lib",file);
+ if (!f.exists())
+ throw new ApplicationException(i18n.tr("Treiber {0} nicht gefunden",f.getAbsolutePath()));
+
+@@ -612,4 +612,4 @@ public class DDVConfigFactory
+ * Revision 1.1 2010-09-07 15:28:05 willuhn
+ * @N BUGZILLA 391 - Kartenleser-Konfiguration komplett umgebaut. Damit lassen sich jetzt beliebig viele Kartenleser und Konfigurationen parellel einrichten
+ *
+- **********************************************************************/
+\ No newline at end of file
++ **********************************************************************/
diff --git a/app-office/hibiscus/hibiscus-2.2.1.ebuild b/app-office/hibiscus/hibiscus-2.2.1.ebuild
new file mode 100644
index 0000000..30f324d
--- /dev/null
+++ b/app-office/hibiscus/hibiscus-2.2.1.ebuild
@@ -0,0 +1,72 @@
+EAPI="2"
+JAVA_PKG_IUSE="doc source"
+WANT_ANT_TASKS="ant-nodeps"
+
+inherit eutils java-pkg-2 java-ant-2 versionator
+
+MY_PV="$(get_version_component_range 1-2)"
+
+DESCRIPTION="A HBCI homebanking application based on hbci4java"
+HOMEPAGE="http://www.willuhn.de/products/hibiscus/"
+SRC_URI="http://www.willuhn.de/products/hibiscus/releases/${MY_PV}/hibiscus.src.zip -> ${P}.zip"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+IUSE=""
+
+COMMON_DEP="=dev-java/jameica-${MY_PV}*
+ >=net-libs/willuhn-hbci4java-2.5.12.30
+ =dev-java/obantoo-1.5.1
+ >=dev-java/supercsv-1.31
+ >=dev-java/swt-chart-0.7.0"
+
+RDEPEND=">=virtual/jre-1.6
+ ${COMMON_DEP}"
+
+DEPEND=">=virtual/jdk-1.6
+ ${COMMON_DEP}"
+
+S=${WORKDIR}/${PN}
+
+java_prepare() {
+ #epatch "${FILESDIR}/${PV}-hbci4java-api.patch"
+ epatch "${FILESDIR}/${PV}-hbci4java-so-filename.patch"
+
+ rm -v ${S}/lib/*.{jar,so,dll,jnilib} || die
+
+ #rm -v ${S}/lib/{itext-2.0.1.jar,obantoo-bin-1.5.1.jar,postgresql-8.3-604.jdbc3.jar,supercsv-1.31.jar,libct.so,libhbci4java-card-freebsd-64.so,libhbci4java-card-linux-32.so,libhbci4java-card-linux-64.so,libhbci4java-sizrdh-linux-gcc2.so,libhbci4java-sizrdh-linux-gcc3.so,libtowitoko-2.0.7-amd64.so,libtowitoko-2.0.7.so,hbci4java-card-win32.dll,hbci4java-card-win32_x86-64.dll,hbci4java-sizrdh-win32.dll,libhbci4java-card-mac-os-x-10.6.jnilib,libhbci4java-card-mac.jnilib} || die
+
+ java-pkg_jar-from --with-dependencies --into ${S}/lib/ willuhn-hbci4java,obantoo,jameica,supercsv,swt-chart
+}
+
+src_compile() {
+ eant -f build/build.xml jar $(use_doc javadoc)
+}
+
+src_install() {
+
+ local plugin_dir=/usr/share/jameica/plugins/hibiscus
+
+ dodir ${plugin_dir}
+ insinto ${plugin_dir}
+
+ doins plugin.xml
+ doins releases/${PV}-0/${PN}/${PN}.jar
+
+ cp -R "${S}/updates" "${D}${plugin_dir}" || die "Install failed!"
+ cp -R "${S}/sql" "${D}${plugin_dir}" || die "Install failed!"
+
+ dodir ${plugin_dir}/lib
+
+ dosym "$(java-pkg_getjars willuhn-hbci4java)" ${plugin_dir}/lib/
+ dosym "$(java-pkg_getjars obantoo)" ${plugin_dir}/lib/
+ dosym "$(java-pkg_getjars supercsv)" ${plugin_dir}/lib/
+
+ newicon icons/${PN}-icon-16x16.png ${PN}-icon-16x16.png || die "newicon failed"
+ newicon icons/${PN}-icon-32x32.png ${PN}-icon-32x32.png || die "newicon failed"
+ newicon icons/${PN}-icon-64x64.png ${PN}-icon-64x64.png || die "newicon failed"
+
+ use doc && java-pkg_dojavadoc releases/${PV}-0/javadoc
+ use source && java-pkg_dosrc src/de
+}